View a markdown version of this page

GetWhatsAppCallPermission - AWS End User Messaging Social

GetWhatsAppCallPermission

Retrieves the current calling permission for a WhatsApp end user, along with the calling actions the business is allowed to take with that user. Provide the destination phone number or the business-scoped user ID to identify the end user.

Request Syntax

POST /v1/whatsapp/call/permission/get HTTP/1.1 Content-type: application/json { "destinationPhoneNumber": "string", "endUserBsuid": "string", "originationPhoneNumberId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

destinationPhoneNumber

The end user's phone number, in E.164 format, for which to retrieve the calling permission.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 20.

Pattern: \+[1-9]\d{1,14}

Required: No

endUserBsuid

The business-scoped user identifier (BSUID) of the end user for which to retrieve the calling permission.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 100.

Required: No

originationPhoneNumberId

The unique identifier of the business phone number for which to retrieve the calling permission. The phone number identifiers are formatted as phone-number-id-01234567890123456789012345678901.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 115.

Pattern: .*(^phone-number-id-.*$)|(^arn:.*:phone-number-id/[0-9a-zA-Z]+$).*

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "actions": [ { "actionName": "string", "canPerformAction": boolean, "limits": [ { "currentUsage": number, "limitExpirationTime": number, "maxAllowed": number, "timePeriod": "string" } ] } ], "permission": { "expirationTime": number, "status": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

actions

The calling actions the business can take with the end user, and any limits that apply to each action.

Type: Array of WhatsAppCallPermissionAction objects

permission

The current calling permission state for the end user.

Type: WhatsAppCallPermission object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedByMetaException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

DependencyException

Thrown when performing an action because a dependency would be broken.

HTTP Status Code: 502

InternalServiceException

The request processing has failed because of an unknown error, exception, or failure.

HTTP Status Code: 500

InvalidParametersException

One or more parameters provided to the action are not valid.

HTTP Status Code: 400

ResourceNotFoundException

The resource was not found.

HTTP Status Code: 404

ThrottledRequestException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request contains an invalid parameter value.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: